Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deepfs.fsml.parsers
Class MP3Parser

    java.lang.Object
      org.deepfs.fsml.parsers.MP3Parser

All Implemented Interfaces:
  IFileParser

    public final class MP3Parser

extends Object
implements IFileParser

Parser for MP3 audio files.

Currently not supported:

- extended ID3v2 header
- extended tag (before ID3v1 tag)

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Alexander Holupirek, Bastian Lemke
See Also:
  ID3v2.4.0 structure, ID3v2.4.0 frames

Constructor Summary
`MP3Parser()`

Method Summary
`boolean` | `check(DeepFile df)` Checks if there is a File in correct format and can be read by the parser.
`void` | `extract(DeepFile df)` Extracts metadata and file contents.
`static byte[]` | `getGenre(int b)` Returns the textual representation of the genre with the code `b`.
`void` | `propagate(DeepFile df)` Propagates the metadata and file contents back to the file in the file system.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MP3Parser

    public MP3Parser()

Method Detail

### check

    public boolean check(DeepFile df)
                  throws IOException

  Description copied from interface: `IFileParser`

  Checks if there is a File in correct format and can be read by the parser. Checks e.g. header bytes.

  Specified by:
    `check` in interface `IFileParser`
  Parameters:
    `df` - the `DeepFile` to read from
  Returns:
    true if the file is supported
  Throws:
    `IOException` - if an error occurs while reading from the file

### extract

    public void extract(DeepFile df)
                 throws IOException

  Description copied from interface: `IFileParser`
  Extracts metadata and file contents.

  Specified by:
    `extract` in interface `IFileParser`
  Parameters:
    `df` - the `DeepFile` to save metadata and content to
  Throws:
    `IOException` - if any error occurs while reading from the file

### getGenre

    public static byte[] getGenre(int b)

  Returns the textual representation of the genre with the code `b`.

  Parameters:
    `b` - the "code" of the genre
  Returns:
    the textual representation of the genre

### propagate

    public void propagate(DeepFile df)

  Description copied from interface: `IFileParser`
  Propagates the metadata and file contents back to the file in the file system.

  Specified by:
    `propagate` in interface `IFileParser`
  Parameters:
    `df` - the `DeepFile` that contains the metadata and file contents

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD